package cn.pluss.platform.refundOrder;

import cn.pluss.platform.entity.MerchantOrder;
import cn.pluss.platform.entity.MerchantRefundOrder;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 *
 */
public interface MerchantRefundOrderService extends IService<MerchantRefundOrder> {

    List<MerchantRefundOrder> queryRefundOrderJoinPage(Map<String, Object> map);

    Integer queryRefundOrderJoinPageCount(Map<String, Object> map);

    Page<MerchantRefundOrder> pageDate(Page<MerchantRefundOrder> page, MerchantRefundOrder refundOrder);
    /**
     * @description:统计首页退款数据
     * @date: 2021/10/19 15:11
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> getPlatformRefundData();

    /**
     * @description:api订单退款
     * @date: 2021/11/22 14:08
     * @param params:
     * @param order:
     */
    MerchantRefundOrder apiRefundOrder(JSONObject params, MerchantOrder order);


    /**
     * @description:退款订单查询
     * @date: 2021/11/22 16:33
     * @param params:
     * @return com.alibaba.fastjson.JSONObject
     */
    MerchantRefundOrder apiRefundQuery(JSONObject params);


    void updateOrderAndSendNotify(MerchantRefundOrder refundOrder);
}

